Trader Asha:
Wow! You have brought five pieces of bronze mirror fragments ... With this, I can restore the mirror as it is seen in this illustration ... This piece goes with this piece ... And if I connect it underneath with this ... And so! It is complete!
Do you know? This mirror was used by the noblewomen of the Elmoreden age ... It contains the life of the ancient people ... It is a very precious relic ...!
Return